Hi,

I have SpamAssassin version 3.1.9 running on Perl version 5.8.8,
Centos 5.1 OS. SpamAssassin has run perfectly so far.

However, this monday I repeated the usual procedure to train the filters
and received a lot of errors, similar to this pair:

--------------------------------
plugin: failed to parse plugin (from @INC): Can't locate
Mail/SpamAssassin/Plugi n/Check.pm in @INC (@INC contains:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-t hread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.8/i386
-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/ lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5 /i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/pe
rl5/site_perl /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/ perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5 /i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_ perl/5.8.6
/usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/
perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8) at (eval 42) line
1.

plugin: failed to create instance of plugin
Mail::SpamAssassin::Plugin::Check: Can't locate object method "new" via
package "Mail::SpamAssassin::Plugin::Check" at (eval 43) line 1.
----------------------------------

There are many more that refer to an assortment of 'missing' plugins, all
of which are present either in init.pre or one
of several v*.pre files.

Any ideas on what could be causing this and what could I do to fix it?
I hope someone has seen this behaviour before.

Gerardo Juarez